import { BasicColumn, FormSchema } from '@/components/Table';

export const configTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
  {
    title: '是否必填',
    dataIndex: 'required',
  },
  {
    title: '默认值',
    dataIndex: 'value',
  },
  {
    title: '示例值',
    dataIndex: 'examValue',
  },
];
export const backTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
];
export const powerTableColumn: BasicColumn[] = [
  {
    title: '权限类型',
    dataIndex: 'type',
  },
  {
    title: '目标域',
    dataIndex: 'range',
  },
  {
    title: '对应申请',
    dataIndex: 'apply',
    slots: { customRender: 'apply' },
  },
  {
    title: '数据范围',
    dataIndex: 'dataRange',
  },
  {
    title: '权限状态',
    dataIndex: 'powerStatus',
    slots: { customRender: 'powerStatus' },
  },
  {
    title: '无效原因',
    dataIndex: 'remark',
  },
];
export const applyHistoryColumn: BasicColumn[] = [
  {
    title: 'API名称',
    dataIndex: 'name',
  },
  {
    title: '编目',
    dataIndex: 'path',
  },
  {
    title: '权属机构',
    dataIndex: 'dept',
  },
  {
    title: '发布者',
    dataIndex: 'uploader',
  },
  {
    title: '发布时间',
    dataIndex: 'uploadTime',
  },
  {
    title: '我的权限',
    dataIndex: 'downLoad',
  },
];
export const monitorTableColumn: BasicColumn[] = [
  {
    title: 'API名称',
    dataIndex: 'name',
  },
  {
    title: '调用时间',
    dataIndex: 'time',
  },
  {
    title: '调用时长',
    dataIndex: 'timeLength',
  },
  {
    title: '当前状态',
    dataIndex: 'status',
  },
];
