import { FormSchema } from '@/components/Form';
import {
  rangeTreeData,
  TreeData
} from '@/views/mallResourceDevelopment/API/apiByCreate/applyList/applyData';

export const applyFormSchema: FormSchema[] = [
  {
    label: '申请标题',
    field: 'title',
    required: true,
    component: 'Input',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
  {
    label: '申请理由',
    field: 'reason',
    component: 'Input',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
  {
    label: '资源编目',
    field: 'path',
    required: true,
    component: 'Cascader',
    componentProps: {
      options: TreeData,
      style: {
        width: '90%',
      },
    },
  },
];
export const uploadFormSchema: FormSchema[] = [
  {
    label: '自动下架日期',
    field: 'time',
    component: 'DatePicker',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
  {
    label: '可见范围',
    field: 'range',
    required: true,
    defaultValue: '所有人',
    component: 'Cascader',
    componentProps: {
      changeOnSelect: true,
      options: rangeTreeData,
      style: {
        width: '90%',
      },
    },
  },
  {
    label: '共享类型',
    field: 'path',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '有条件共享',
          value: '有条件共享',
        },
      ],
      style: {
        width: '90%',
      },
    },
  },
];
export const resFormSchema: FormSchema[] = [
  {
    label: '资源名称',
    field: 'name',
    required: true,
    component: 'Input',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
  {
    label: '描述',
    field: 'res',
    component: 'Input',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
];
